Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# TAO_IMR_Op_Shutdown Class Reference

Shutdown Operation. More...

`#include <tao_imr_i.h>`

Inheritance diagram for TAO_IMR_Op_Shutdown:

[legend]
Collaboration diagram for TAO_IMR_Op_Shutdown:

[legend]
List of all members.

## Public Methods
virtual int | parse (int argc, ACE_TCHAR **argv)
| Parse arguments.
virtual int | run (void)
| Do the work.
## Protected Methods
void | print_usage (void)
| Prints a message about the usage.
## Protected Attributes
ACE_CString | server_name_
| POA server name.
ACE_CString | activator_

## Detailed Description

Shutdown Operation.

Shutdown is used to shutdown a server through the IMR.

## Member Function Documentation

int TAO_IMR_Op_Shutdown::parse | ( | int | argc,
|  | ACE_TCHAR ** | argv
| ) | `[virtual]`

| Parse arguments. Implements TAO_IMR_Op.

void TAO_IMR_Op_Shutdown::print_usage | ( | void |  | ) | `[protected]`

| Prints a message about the usage.

int TAO_IMR_Op_Shutdown::run | ( | void |  | ) | `[virtual]`

| Do the work. Implements TAO_IMR_Op.

## Member Data Documentation

ACE_CString TAO_IMR_Op_Shutdown::activator_`[protected]`

ACE_CString TAO_IMR_Op_Shutdown::server_name_`[protected]`

| POA server name.

The documentation for this class was generated from the following files:

- tao_imr_i.h
- tao_imr_i.cpp